Bug 26450 - Typo in UNIMARC field 105 plugin template
Summary: Typo in UNIMARC field 105 plugin template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andreas Roussos
QA Contact: Nick Clemens
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-09-14 07:58 UTC by Andreas Roussos
Modified: 2020-11-17 20:47 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 26450: fix typo in plugin template (2.43 KB, patch)
2020-09-14 08:04 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 26450: fix typo in plugin template (2.48 KB, patch)
2020-10-23 12:53 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 26450: fix typo in plugin template (2.54 KB, patch)
2020-10-24 02:08 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26450: (QA follow-up) Replace tabs with spaces (2.29 KB, patch)
2020-10-24 02:08 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2020-09-14 07:58:29 UTC
In the UNIMARC field 105 plugin template, the "Form of contents codes"
dropdown menus contain an option with unnecessary capitalisation:

"w - Religious text"

This is the only option where a capitalised word is used.

According to the IFLA 2012 update for field 105 [1], the dropdown option
should read:

"w - religious text"

[1] https://www.ifla.org/files/assets/uca/unimarc_updates/BIBLIOGRAPHIC/u-b_105_update.pdf
Comment 1 Andreas Roussos 2020-09-14 08:04:23 UTC
Created attachment 110034 [details] [review]
Bug 26450: fix typo in plugin template

The UNIMARC field 105 plugin template contains some dropdown menu
options with unnecessary capitalisation: "w - Religious text".

This patch fixes that.

Test plan: apply the patch, and confirm that the dropdown menu
options appear in all lowercase.
Comment 2 Julian Maurice 2020-10-23 12:53:20 UTC
Created attachment 112263 [details] [review]
Bug 26450: fix typo in plugin template

The UNIMARC field 105 plugin template contains some dropdown menu
options with unnecessary capitalisation: "w - Religious text".

This patch fixes that.

Test plan: apply the patch, and confirm that the dropdown menu
options appear in all lowercase.

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 3 Nick Clemens 2020-10-24 02:08:53 UTC
Created attachment 112357 [details] [review]
Bug 26450: fix typo in plugin template

The UNIMARC field 105 plugin template contains some dropdown menu
options with unnecessary capitalisation: "w - Religious text".

This patch fixes that.

Test plan: apply the patch, and confirm that the dropdown menu
options appear in all lowercase.

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2020-10-24 02:08:57 UTC
Created attachment 112358 [details] [review]
Bug 26450: (QA follow-up) Replace tabs with spaces
Comment 5 Jonathan Druart 2020-10-25 23:06:47 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-13 21:58:43 UTC
backported to 20.05.x for 20.05.06
Comment 7 Aleisha Amohia 2020-11-17 05:06:49 UTC
enhancement, not backported to 19.11.x